# XQilla Simple API Documentation

# AutoDocumentCacheReset Class Reference

`#include <ContextHelpers.hpp>`

List of all members.

## Public Member Functions

| AutoDocumentCacheReset (DynamicContext *context)
| ~AutoDocumentCacheReset ()

## Public Attributes

DocumentCache * | oldDC

## Protected Attributes

DynamicContext * | context_

## Constructor & Destructor Documentation

AutoDocumentCacheReset::AutoDocumentCacheReset | ( | DynamicContext * | context | ) | `[inline]`

AutoDocumentCacheReset::~AutoDocumentCacheReset | ( |  | ) | `[inline]`

## Member Data Documentation

DynamicContext* AutoDocumentCacheReset::context_ `[protected]`

DocumentCache* AutoDocumentCacheReset::oldDC

The documentation for this class was generated from the following file:

- ContextHelpers.hpp